@echo off
echo %cmdcmdline% | findstr /i /c:"%~nx0" >NUL && set iscommandline=1
echo %PSModulePath% | findstr "%USERPROFILE%" >NUL && set ispowershell=1
cd /D "%~dp0"

echo.

@powershell -NoProfile -ExecutionPolicy Bypass -Command .\scripts\setup-environment.ps1 %*

echo.

IF DEFINED iscommandline IF NOT DEFINED ispowershell pause
